# make -libs subpkg
%define libs 1

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:      	K Desktop Environment 4 - Core Files
Version:       	4.1.1
Release:       	1
Name:          	kdebase
License:       	GPLv2
Group:         	Graphical Desktop/KDE4
URL:           	http://www.kde.org/
Source0:       	ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdebase-%{version}.tar.bz2
BuildRoot:     	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: 	kde-filesystem
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: 	kdelibs >= %{version}
Requires: 	kdepimlibs >= %{version}
Requires: 	kdebase-runtime >= %{version}
Requires: 	eject
# CCUX Default setup
Requires:	kde-settings
BuildRequires: 	alsa-lib-devel
BuildRequires: 	bzip2-devel
BuildRequires: 	cdparanoia-III-devel cdparanoia-III
BuildRequires: 	cmake
BuildRequires: 	cyrus-sasl-devel
BuildRequires: 	doxygen
BuildRequires: 	fontconfig-devel
BuildRequires: 	gettext
BuildRequires: 	hal-devel
BuildRequires: 	kdelibs-devel >= %{version}
BuildRequires: 	kdepimlibs-devel >= %{version}
BuildRequires: 	kdebase-workspace-devel >= %{version}
BuildRequires: 	libart_lgpl-devel
BuildRequires: 	libfontenc-devel
BuildRequires: 	libusb-devel
BuildRequires: 	OpenEXR-devel >= 1.6.1-2
BuildRequires: 	openldap-devel
BuildRequires: 	openssl-devel
BuildRequires: 	pkgconfig
BuildRequires: 	qimageblitz-devel
BuildRequires: 	samba-devel
BuildRequires: 	soprano-devel
BuildRequires: 	strigi-devel
BuildRequires: 	xine-lib-devel
BuildRequires:  libxcb-devel
BuildRequires: 	xorg-x11-font-utils
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	zlib-devel
BuildRequires: 	gamin-devel giflib-devel libacl-devel pcre-devel
BuildRequires: 	pciutils-devel
Provides:      	dolphin = 1.0.2-1
Obsoletes:     	dolphin < 1.0.2-1
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4 < %{version}-%{release}
Provides:  	kdebase4 = %{version}-%{release}



%description
Core runtime requirements and applications for the K Desktop Environment 4.

%if 0%{?libs}
%package libs
Summary: 	%{name} runtime libraries
Group:   	System/Libraries
Requires: 	kdelibs >= %{version}, kdepimlibs >= %{version}
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4-libs < %{version}-%{release}
Provides:  	kdebase4-libs = %{version}-%{release}

%description libs
%{summary}.
%endif


%package devel
Group:    	Development/Libraries
Summary:  	Header files for kdebase4
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: 	kdelibs-devel kdepimlibs-devel
Obsoletes: 	kdebase4-devel < %{version}-%{release}
Provides:  	kdebase4-devel = %{version}-%{release}


%description devel
Header files for developing applications using %{name}.

%prep
%setup -q

%build

mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit4_*.so)
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

# konquerorsu only show in KDE
echo 'OnlyShowIn=KDE;' >> %{buildroot}%{_kde4_datadir}/applications/kde4/konquerorsu.desktop

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%files
%defattr(-,root,root,-)
%{_kde4_bindir}/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_appsdir}/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_libdir}/kde4/*
%exclude %{_kde4_libdir}/kde4/devel/
%{_kde4_datadir}/autostart/*
%{_kde4_configdir}/*
%{_kde4_datadir}/templates/*
%{_kde4_datadir}/templates/.source/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_libdir}/libkdeinit4_*.so

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%endif
%{_kde4_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/kde4/devel/lib*.so

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sun Aug 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- added kde-settings dependency
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- moved devel symlinks
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Thu Jul 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-2
- rebuild against openEXR-1.6.1-2
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Initial release
